<div layout="column">
    <div layout="row">
        <md-autocomplete flex="50" md-search-text="$ctrl.authorSearchText" md-selected-item="$ctrl.selectedAuthor" md-no-cache="true"
            md-selected-item-change="$ctrl.addAuthor(item)" md-items="item in $ctrl.authorsSearch($ctrl.authorSearchText)" md-item-text="item.name"
            md-min-length="0" placeholder="Start typing to add or create new author">
            <md-item-template>
                <span md-highlight-text="$ctrl.authorSearchText" md-highlight-flags="^i">{{item.name}}</span>
            </md-item-template>
            <md-not-found>
                <span ng-if="$ctrl.allAuthors.length>0 || ($ctrl.allAuthors.length===0 && $ctrl.authorSearchText.length > 0)">
                        Author "{{$ctrl.authorSearchText}}" not found. <a ng-click="$ctrl.createAndAddNewAuthor($ctrl.authorSearchText)" style="text-decoration:underline;">Click here to create</a>
                    </span>
                <span ng-if="$ctrl.authorSearchText==='' && $ctrl.allAuthors.length===0">
                        There are no authors. Type a name and create one
                    </span>
                <span ng-if="$ctrl.authorSearchText==='' && $ctrl.allAuthors.length>0">
                        There are no authors. Type a name and create one
                    </span>
            </md-not-found>
        </md-autocomplete>
    </div>
    <md-chips layout="row">
        <md-chip ng-repeat="author in $ctrl.authors">
            <div layout="row">
                <span>{{author.name}}</span>
                <button class="md-chip-remove" type="button" aria-hidden="true" tabindex="-1">
                            <md-icon md-font-icon="material-icons" ng-click="$ctrl.removeAuthor($index)">close</md-icon>                            
                        </button>
            </div>
        </md-chip>
    </md-chips>
</div>